version: "3.3"

services:
  rdiffweb-ui:
    build: 
      context: rdiffweb-ui
      args:
        DOCKER_UID: 1000
        DOCKER_GID: 1000
    environment:
      INITIAL_SHA1PASS: "{SSHA}ErnSUDB9Za33sI23om75Odl4KaH83oKU"
      INITIAL_HEADER: "Personal backup"
      INITIAL_THEME: "orange"
    ports:
      - 8080:8080
    volumes:
      - ./repositories:/rdiff-backup/repositories
      - ssh_config:/rdiff-backup/.ssh
      - rdiffweb_config:/etc/rdiffweb
  rdiffweb-ssh:
    build: 
      context: rdiffweb-ssh
      args:
        DOCKER_UID: 1000
        DOCKER_GID: 1000
    ports:
      - "2222:22"
    volumes:
      - ./repositories:/rdiff-backup/repositories
      - ssh_config:/rdiff-backup/.ssh

volumes:
  ssh_config:
  rdiffweb_config:
